> For the complete documentation index, see [llms.txt](https://firstoken.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://firstoken.gitbook.io/api-docs/api-reference/transactions.md).

# Transactions

You can create, delete, and inspect all the captures transactions using our Transaction API interface. The Firstoken Transaction API uses an API key to authenticate requests and JSON-encoded responses. All API requests must be made over HTTPS TLS 1.2. To get an API you must contact our representative agents to provided one.

{% hint style="info" %}
**Note**: The base URL <https://api.firstoken.co/transactions>
{% endhint %}

{% hint style="warning" %}
**Note**: The base URL for testing purpose is <https://api.firstoken-staging.co/transactions>
{% endhint %}

Transactions API has the following methods:

{% content-ref url="/pages/VzC5HVM2RnSo5QGDl7ry" %}
[Create a Transaction](/api-docs/api-reference/transactions/create-a-transaction.md)
{% endcontent-ref %}

{% content-ref url="/pages/kf7YWfrRigNd7EtDtJDE" %}
[Retrieve a Transaction](/api-docs/api-reference/transactions/retrieve-a-transaction.md)
{% endcontent-ref %}

{% content-ref url="/pages/lS6kfG4Nf9Q9ZylvS5kw" %}
[Inspect a Transaction](/api-docs/api-reference/transactions/inspect-a-transaction.md)
{% endcontent-ref %}

{% content-ref url="/pages/k3k6jUxHUE9J8iwIeh69" %}
[Delete a Transaction](/api-docs/api-reference/transactions/delete-a-transaction.md)
{% endcontent-ref %}

{% content-ref url="/pages/Dmw3uxfLRimUzMSnDqpX" %}
[Tokenize a Transaction](/api-docs/api-reference/transactions/tokenize-a-transaction.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
